@import "@/styles/variables";

.header {
    grid-column: 1 / -1;
    display: flex;
    gap: 0.75rem;
    justify-content: space-between;
    height: 4.5rem;
    padding: 0.75rem $padding-sm;
    z-index: 200;
    position: sticky;
    top: 0;

    @include smallscreen {
        @include shadow-header;
    }

    @include notebook {
        padding: 0.75rem 4rem;
        gap: 1rem;
    }

    .button-back {
        @include notebook {
            padding: 0.75rem;
            border-radius: 0.5rem;
        }

        span:last-child {
            display: flex;
            justify-content: flex-start;

            @include notebook {
                display: none;
            }
        }
    }

    .headers-block {
        display: flex;
        justify-content: flex-start;
        height: max-content;
    }

    &-meta {
        display: grid;
        justify-content: unset;
        grid-template-columns: max-content auto auto;
        align-items: flex-start;

        .title {
            &-block {
                display: flex;
                flex-direction: column;
                gap: 2rem;
                place-items: center flex-start;

                @include tablet {
                    flex-direction: row;
                    gap: 1rem;
                }

                .button-back {
                    place-self: start center;
                }
            }

            &-heading {
                display: none;

                @include tablet {
                    display: block;
                }
            }
        }

        .button-container {
            place-self: start flex-end;
        }

        h1 {
            display: none;

            @include tablet {
                display: block;
            }
        }
    }

    &_scrolled {
        background-color: rgb($white, 96%);

        @include notebook {
            background-color: rgb($white, 85%);
            backdrop-filter: blur(10px);
        }

        .main-logo {
            transition: all 0.3s;
            transform-origin: top left;
            width: 37px;

            @include notebook {
                width: 9rem;
            }
        }

        .headers-list {
            padding-left: 2rem;
        }
    }

    .heading {
        display: none;

        @include tablet {
            display: block;
            grid-column: 1 / -1;
            text-align: center;
            position: absolute;
            top: 1.7rem;
            width: 150px;
            left: calc(50% - 75px);
            z-index: 100;
        }
    }
}
